version: '3'

services:
   fastapi_server:
       build:
         context: .
         dockerfile: .
       ports:
         - "8100:8000"
       network_mode: bridge
       volumes:
         - fastapi_app:/app
volumes:
  fastapi_app:
    external: true
